Update Webhook
curl --request PATCH \
--url https://api.example.com/webhooks/{id} \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": [
"<string>"
]
}
'import requests
url = "https://api.example.com/webhooks/{id}"
payload = {
"url": "<string>",
"events": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: ['<string>']})
};
fetch('https://api.example.com/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Webhooks
Update Webhook
Update webhook configuration
Update Webhook
Description
Update the URL or events of an existing webhook.Parameters
Unique webhook ID.
New notification URL.
Array of new events.
Response
Updated webhook ID.
Examples
curl -X PATCH https://api.usesendly.app/v1/webhooks/webhook_123 \
-H "Authorization: Bearer se_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"url": "https://yourdomain.com/webhooks/sendly-v2"
}'
await client.webhooks.update('webhook_123', {
url: 'https://yourdomain.com/webhooks/sendly-v2',
events: [
'email.delivered',
'email.bounced',
'email.opened',
'email.clicked'
]
})
import { Sendly } from '@sendlyapp/sdk'
const client = new Sendly()
await client.webhooks.update('webhook_123', {
events: ['email.delivered', 'email.failed']
})
Need help? Contact support@usesendly.app
⌘I